Bug 208090 - [maintainer-update] update misc/lifelines to 3.1.1
Summary: [maintainer-update] update misc/lifelines to 3.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-03-17 15:36 UTC by matt
Modified: 2016-04-08 12:19 UTC (History)
2 users (show)

See Also:


Attachments
svn diff of misc/lifelines (9.69 KB, patch)
2016-03-17 15:36 UTC, matt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matt 2016-03-17 15:36:33 UTC
Created attachment 168328 [details]
svn diff of misc/lifelines

This patch updates misc/lifelines from 3.0.62,1 to 3.1.1.

This includes an important UTF-8 bug fix, a move from sourceforge to github, and resolves install issues exposed by using modern autotools.
Comment 1 Thomas Zander freebsd_committer 2016-03-25 07:12:34 UTC
Build fails in patch phase:

=======================<phase: patch          >============================
===>  Patching for lifelines-3.1.1
===>  Applying FreeBSD patches for lifelines-3.1.1
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to src/stdlib/icvt.c.rej
=> Patch patch-src_stdlib_icvt.c failed to apply cleanly.
=> Patch(es) patch-intl__Makefile.in applied cleanly.
*** Error code 1
Comment 2 matt 2016-03-25 12:11:36 UTC
Looks like the svn patch is incomplete.
files/patch-src_stdlib_icvt.c is to be DELETED.
Comment 3 commit-hook freebsd_committer 2016-03-26 10:33:49 UTC
A commit references this bug:

Author: riggs
Date: Sat Mar 26 10:33:15 UTC 2016
New revision: 411920
URL: https://svnweb.freebsd.org/changeset/ports/411920

Log:
  Update to upstream version 3.1.1

  Changeset includes:
  - Fix to UTF-8 string handling (handling in upstream version 3.1.1)
  - Move from SF to GH
  - MAKE_JOBS_UNSAFE=yes (parallel builds are not reliable at the moment)
  - Comments on special DOCS handling for this port

  PR:		208090
  Submitted by:	matt@gsicomp.on.ca (maintainer)

Changes:
  head/misc/lifelines/Makefile
  head/misc/lifelines/distinfo
  head/misc/lifelines/files/patch-intl__Makefile.in
  head/misc/lifelines/files/patch-src_stdlib_icvt.c
  head/misc/lifelines/pkg-descr
  head/misc/lifelines/pkg-plist
Comment 4 Thomas Zander freebsd_committer 2016-03-26 10:36:11 UTC
Committed with minor change:
USES_GZIP is not a thing, therefore removed.

Thanks!
Comment 5 John Marino freebsd_committer 2016-04-08 12:19:55 UTC
the patch erroneously removed USES=ncurses which is still required, so I'm putting that back.